'use strict';

exports.__esModule = true;

var _graphql = require('graphql');

var _language = require('graphql/language');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = new _graphql.GraphQLScalarType({
  name: 'DateTime',
  description: 'The `DateTime` scalar represents a date and time following the ISO 8601 standard',
  serialize: function serialize(value) {
    // value sent to the client
    return _moment2.default.utc(value).format();
  },
  parseValue: function parseValue(value) {
    // value from the client
    return value;
  },
  parseLiteral: function parseLiteral(ast) {
    if (ast.kind !== _language.Kind.STRING) {
      throw new TypeError('DateTime cannot represent non string type ' + String(ast.value != null ? ast.value : null));
    }
    return _moment2.default.utc(value).format();
  }
});
module.exports = exports['default'];